--[[----------------------------------------------------------------------------

WFAppState.lua

--------------------------------------------------------------------------------

ADOBE CONFIDENTIAL
------------------
Copyright 2014 Adobe Systems Incorporated
All Rights Reserved.

NOTICE: All information contained herein is, and remain the property of
Adobe Systems Incorporated and its suppliers, if any. The intellectual and
technical concepts contained herein are proprietary to Adobe Systems
Incorporated and its suppliers and may be covered by U.S. and Foreign
Patents, patents in process, and are protected by trade secret or copyright
law.  Dissemination of this information or reproduction of this material is
strictly forbidden unless prior written permission is obtained from
Adobe Systems Incorporated.

------------------------------------------------------------------------------]]

local WFAppStateTest = {}

--------------------------------------------------------------------------------

function WFAppStateTest.testBasic( test )

	local WFAppState = require 'WFAppState'

	assert( type( WFAppState ) == 'table', 'WFAppState is a namespace' )
	assert( type( WFAppState.applicationIsActive ) == 'function', 'applicationIsActive is a fn' )
	assert( WFAppState.applicationIsActive() == true, 'applicationIsActive returns true when app is active' )
	assert( type( WFAppState.applicationIsInBackground ) == 'function', 'applicationIsInBackground is a fn' )
	assert( WFAppState.applicationIsInBackground() == false, 'applicationIsInBackground returns false when app is active' )
	assert( type( WFAppState.backgroundTimeRemaining ) == 'function', 'backgroundTimeRemaining is a fn' )
	assert( WFAppState.backgroundTimeRemaining() > 0, 'backgroundTimeRemaining is more than zero when app is active' )

end

--==============================================================================

-- FIXME [jandrew 2018-04-30]: This test appears to crash the test runner on iOS.

return WFAppStateTest and {}
